Menu icon Foundation
Not able to add a project

Hi, I do not seem to be able to make email work

I am on linux mint 19 (ubuntu 18.04)

node -v: v11.0.0

npm -v: 6.4.1

git --version: 2.17.1

Installed foundation-cli

when trying to add a new project I get

Installing dependencies...

 

npm ERR! git rev-list -n1 4.0: fatal: ambiguous argument '4.0': unknown revision or path not in the working tree.

npm ERR! git rev-list -n1 4.0: Use '--' to separate paths from revisions, like this:

npm ERR! git rev-list -n1 4.0: 'git <command> [<revision>...] -- [<file>...]'

npm ERR! git rev-list -n1 4.0: 

 

There were some problems during the installation.

 

 ✓ New project folder created.

 ✗ Node modules not installed. Try running npm install manually.

 ✓ Bower components installed.

 

Once you've resolved the above issues, run foundation watch while inside the ... folder.

I tried doing the manual installation(s) to now avail. Always get a complain about git having no branch 4.0 and stuff like that. What do I do wrong?

 

installation issue

Hi, I do not seem to be able to make email work

I am on linux mint 19 (ubuntu 18.04)

node -v: v11.0.0

npm -v: 6.4.1

git --version: 2.17.1

Installed foundation-cli

when trying to add a new project I get

Installing dependencies...

 

npm ERR! git rev-list -n1 4.0: fatal: ambiguous argument '4.0': unknown revision or path not in the working tree.

npm ERR! git rev-list -n1 4.0: Use '--' to separate paths from revisions, like this:

npm ERR! git rev-list -n1 4.0: 'git <command> [<revision>...] -- [<file>...]'

npm ERR! git rev-list -n1 4.0: 

 

There were some problems during the installation.

 

 ✓ New project folder created.

 ✗ Node modules not installed. Try running npm install manually.

 ✓ Bower components installed.

 

Once you've resolved the above issues, run foundation watch while inside the ... folder.

I tried doing the manual installation(s) to now avail. Always get a complain about git having no branch 4.0 and stuff like that. What do I do wrong?

 

Marco Sinacore 9 days ago

Same here, I sorted this out by changing the gulp dependency in package.json. 

From this

"gulp": "git+https://github.com/gulpjs/gulp.git#4.0",

To this

"gulp": "git+https://github.com/gulpjs/gulp.git",

Irfan Tahir 9 days ago